Bug 1126676 - Message headers are unexpectedly converted to lower-case in Camel service
Summary: Message headers are unexpectedly converted to lower-case in Camel service
Keywords:
Status: MODIFIED
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard
Version: 6.0.0 GA
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER1
: ---
Assignee: Keith Babo
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 04:12 UTC by Tadayoshi Sato
Modified: 2018-12-06 17:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
ftp-filename.zip (11.03 KB, application/zip)
2014-08-05 04:12 UTC, Tadayoshi Sato
no flags Details


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-2252 Major Resolved Message headers are unexpectedly converted to lower-case in Camel service 2017-01-03 10:35:59 UTC

Description Tadayoshi Sato 2014-08-05 04:12:00 UTC
Description of problem:
Platform BZ for https://issues.jboss.org/browse/SWITCHYARD-2252

Message headers are converted unexpectedly to lowe-case in a Camel service.

For instance, suppose the header "CamelFileName" is set in a Camel route like the following:

        from("switchyard://FileService")
                .setHeader(Exchange.FILE_NAME, constant("out.txt"))
                .to("switchyard://FTPOut");

it's then converted automatically to lower-case "camelfilename" when it reaches the context mapper.

It is a problem because we need to specify the 'includes' of the context mapper as "camelfilename" instead of "CamelFileName". It's counter-intuitive and thus should be a bug.


Version-Release number of selected component (if applicable):
n/a

How reproducible:
100%

Steps to Reproduce:
1. See the reproducer (ftp-filename.zip)

Actual results:
ContextMapper needs to be configured as includes="camelfilename".

Expected results:
ContextMapper should be able to be configured as includes="CamelFileName".

Comment 1 Tadayoshi Sato 2014-08-05 04:12:47 UTC
Created attachment 924076 [details]
ftp-filename.zip

Comment 2 JBoss JIRA Server 2014-08-20 20:43:25 UTC
Tom Cunningham <tcunning@redhat.com> updated the status of jira SWITCHYARD-2252 to Coding In Progress


Note You need to log in before you can comment on or make changes to this bug.